/* Browser Reset */
* {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
}

/* Root Colors */
:root {
    --black: #000;
    --white: #fff;
    --orange: #FD6C0C;
}

/* Basics */
html,
body {
    font-family: "IBM Plex Sans", sans-serif;
    font-size: 1.2vw;
}

a {
    text-decoration: none;
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Fonts */
h1 {
    font-family: "Holtwood One SC";
    font-size: 5rem;
    color: var(--white);
}

h2 {
    font-family: "IBM Plex Sans";
    font-weight: 400;
    font-size: 1.2rem;
}

h3 {
    font-family: "IBM Plex Sans";
    font-weight: 700;
    font-size: 2.5rem;
}

p {
    font-family: "IBM Plex Sans";
    font-weight: 400;
    font-size: 1.2rem;
}

li {
    font-family: "IBM Plex Sans";
    font-weight: 400;
    font-size: 1.2rem;
}

label {
    font-family: "IBM Plex Sans";
    font-weight: 400;
    font-size: 1.2rem;
}

/* Header */
.header-footer {
    background-color: var(--black);
    color: var(--white);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 2.5% 8%;
}

.menu-icon {
    display: none;
    cursor: pointer;

    i {
        font-size: 24px;
    }
}

.iconoir-menu-scale {
    color: var(--white);
}

.iconoir-xmark {
    color: var(--white);
}

/* Logo */
.logo a img {
    width: 140px;
    height: 12%;
}

/* Navigation  */
nav ul {
    display: flex;
    flex-direction: row;
    gap: 30px;
}

nav ul li {
    list-style-type: none;
}

nav ul li a {
    color: var(--white);
    font-weight: 400;
    font-size: 1rem;
}

.line-nav {
    border-bottom: 1px solid var(--white);
}

/* ------------Main------------ */
/* Hero */
.section-black {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--black);
    padding: 5% 5% 5% 5%;
}

/* Hero img */
.hero-img img {
    aspect-ratio: 2.5/1;
    width: 100%;
    object-fit: cover;
    border-radius: 16px;
    margin-top: 1.5%;
}

.hero-img {
    display: flex;
    justify-content: center;
    width: 100%;
    aspect-ratio: 5/1;
}

/* Hero text */

.hero-text {
    color: var(--white);
    text-align: center;
}

.hero-text h1 {
    line-height: 1.1;
    margin: 0;
}

.hero-text h3 {
    margin: 1vh;
}

/* Abschnitt Facts */

.section-border {
    border: 2px solid var(--black);
    margin: 5% 3.5%;
    padding: 1% 1% 1% 1%;
    gap: 10px;
}

.section-flex-row {
    display: flex;
    flex-direction: row;
}

.facts-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 20px;
}

.list-margin {
    margin: 4% 0% 0% 4%;
}

.facts-img {
    object-fit: cover;
    border-radius: 16px;
    width: 50%;
    aspect-ratio: 1/1;
}

/* Abschnitt Geschichte der Pizza */

.section-geschichte {
    gap: 50px;
}

.geschichte-text {
    color: var(--white);
}

.geschichte-text p {
    margin-top: 20px;
}

.call-to-action-img {
    display: flex;
    justify-content: center;
}

.call-to-action-img img {
    width: 50%;
    object-fit: cover;
    border-radius: 16px;
}

.call-to-action-button {
    display: inline-block;
    background-color: var(--orange);
    color: white;
    padding: 1% 5%;
    border-radius: 6px;
    font-weight: 600;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
}

.call-to-action-button a {
    color: var(--white);
}

/* ----2.seite, rezept---- */
/* ---main--- */
/* hero */

.section-black-row {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    background-color: var(--black);
    padding: 1% 5% 1% 5%;
    gap: 30px;
    color: var(--white);
}

.rezept-hero-text {
    width: 70%;
}

.rezept-hero-text p {
    width: 80%;
    text-align: justify;
}

.rezept-hero-img img {
    border-radius: 16px;
}

.rezept-hero-img {
    border-radius: 16px;
    width: 30%;
    margin: 20px;
}

/* Abschnitt Zutaten */
.section-zutaten {
    display: flex;
    flex-direction: row;
    align-items: center;
    background-color: var(--white);
    padding: 5% 5% 5% 6%;
    gap: 30px;
    color: var(--black);
}

.zutaten-content ul {
    margin-top: 20px;
}

.zutaten-content li {
    list-style-type: none;
}

/* Abschnitt Rezept */
.section-rezept {
    background-color: var(--black);
    color: var(--white);
    display: flex;
    flex-direction: column;
    padding: 0% 5% 0% 10%;
}

.rezept-text {
    margin: 5% 0% 5% 0%;
}

.video {
    width: 40vw;
}

/* Abschnitt Kursanmeldung */
.kursanmeldung-content h2 {
    text-align: center;
    width: 100%;
}

.kursanmeldung-content p {
    margin-top: 20px;
    text-align: center;
}

.form {
    margin-top: 20px;
}

.form form {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 50px;
}

.form-block {
    display: flex;
    flex-direction: column;
}

.form-button {
    display: inline-block;
    cursor: text;
    color: var(--black);
    background-color: rgb(180, 180, 180);
    padding: 10px 40px;
    font-family: "IBM Plex Sans";
    font-weight: 600;
    border-radius: 6px;
}

.submit-button {
    margin-top: 1.85vw;
    padding: 12px 40px;
}

/* Impressum */
.section-impressum {
    height: 60vh;
    text-align: center;
}

.section-impressum a {
    color: var(--white);
    text-decoration: none;
}

/* Footer */

.impressum a {
    color: var(--white);
    font-size: 1.2rem;
}

.footer {
    border-top: 1px solid var(--white);
}

/* ------------------Media Queries------------------ */
@media screen and (max-width: 992px) {

    /* Basics */

    h1 {
        font-size: 7rem;
    }

    h2 {
        font-size: 2rem;
    }

    h3 {
        font-size: 4rem;
    }

    p {
        font-size: 2rem;
    }

    li {
        font-size: 2rem;
    }

    label {
        font-size: 2rem;
    }


    /* header */
    nav ul li a {
        font-size: 1.5rem;
    }

    .logo a img {
        width: 100px;
        height: 10%;
    }

    /* start hero */

    .hero-img img {
        aspect-ratio: 2.5/1;
        width: 90%;
        object-fit: cover;
        border-radius: 6px;
    }

    /* abschnitt facts */
    .section-flex-row {
        display: flex;
        flex-direction: column-reverse;
    }

    .list-margin li {
        font-size: 2rem;
        margin: 0px;
    }

    .facts-img {
        width: 100%;
        height: 50vw;
    }

    .facts-img img {
        width: 100%;
        height: 50vw;
        object-fit: cover;
    }

    /* abschnitt geschichte */

    .geschichte-text p {
        margin-top: 5px;
    }

    .section-geschichte {
        gap: 40px;
    }

    .call-to-action-img img {
        width: 70%;
        object-fit: cover;
        border-radius: 6px;
    }

    .call-to-action-button {
        padding: 2% 10%;
        border-radius: 6px;
        font-size: 2rem;
    }

    /* ----start 2.seite rezept---- */

    .rezept-hero-text {
        width: 80%;
        align-items: center;
        text-align: center;
    }

    .rezept-hero-img {
        display: none;
    }

    /* abschnitt rezept */

    .section-rezept {
        padding: 0% 5% 0% 5%;
    }

    .video {
        width: 100%;
    }

    /* abschnitt kursanmeldung */

    .form form {
        display: flex;
        flex-direction: column;
        gap: 0px;
    }

    .form-button {
        padding: 10px;
    }

    /* impressum */
    .impressum a {
        font-size: 2rem;
    }
}

@media screen and (max-width: 768px) {
    header {

        &.active {

            nav {
                display: block;
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                background-color: var(--black);
                z-index: 100;

                ul {
                    flex-direction: column;
                    align-items: center;
                    justify-content: center;
                    gap: 20px;
                    height: 100vh;

                    li {
                        a {
                            font-size: 24px;
                        }
                    }

                }
            }


            .menu-icon {
                .open {
                    display: none;
                }

                .close {
                    display: block;
                }
            }
        }


        nav {
            display: none;
        }

        .menu-icon {
            position: relative;
            z-index: 100;
            display: block;

            .close {
                display: none;
            }
        }
    }
}

@media screen and (max-width: 450px) {

    /* Basics */
    h1 {
        font-size: 10rem;
    }

    h2 {
        font-size: 3rem;
    }

    h3 {
        font-size: 5rem;
    }

    p {
        font-size: 3rem;
    }

    li {
        font-size: 3rem;
    }

    label {
        font-size: 3rem;
    }

    /* header */
    .logo a img {
        width: 80px;
        height: 8%;
    }


    /* abschnitt facts */
    .list-margin li {
        font-size: 3rem;
    }

    /* abschnitt geschichte */

    .geschichte-text p {
        margin-top: 10px;
    }

    .call-to-action-img img {
        width: 80%;
    }

    .section-geschichte {
        gap: 25px;
    }

    .call-to-action-button {
        padding: 2% 15%;
        font-size: 3rem;
    }

    /* abschnitt rezept */
    .video {
        width: 100%;
    }

    /* abschnitt Kursanmeldung */
    .form-button {
        padding: 7px;
    }
}